Page MenuHomePhabricator

When VE is disabled but NWE is enabled and wiki is in multi-tab mode, initialization code for the "Edit" tab doesn't run
Closed, ResolvedPublic8 Estimated Story Points

Description

As reported in the German Wikipedia:

A couple of users are not able to edit redirect pages in VE: Whenever they click on "Edit", they are automatically redirected to the target for editing. When the same users click on a link with "redirect=no" added to it (like https://de.wikipedia.org/w/index.php?title=Fridovich&redirect=no&veaction=edit ), it works just fine.

Personally, I was not able to reproduce this behaviour so far. I tested it both logged in and logged out, and also switched between different browsers, but was always able to edit the redirect page.

I also searched for previous tickets describing this problem and found those two:
https://phabricator.wikimedia.org/T67926 - Same problem in 2014, but was fixed long ago
https://phabricator.wikimedia.org/T118714 - Describing the opposite problem, but not reproducable.

Event Timeline

Deskana changed the task status from Open to Stalled.Oct 25 2017, 9:25 AM
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana added a subscriber: Deskana.

Thanks for the report. Sadly, I can't reproduce this either. The team won't be able to do much about it until the issue can be reproduced.

Per Diwas:
"https://phabricator.wikimedia.org/T178976 is with the New wikitext mode, not the WYSIWYG mode. Be sure that beta feature New wikitext mode and Spezial:Einstellungen#mw-prefsection-editing: Temporarily disable the visual editor while it is in beta are checked. You will be have only one edit link Edit, but not Edit source. The Link Edit will start the New wikitext mode. But with a redirect page it will open the target page, not the redirect page."

I can finally reproduce this issue.
Previously also reported at mw.org.

That sounds like it's a separate issue; the original report specifically mentions the visual editor.

I can file a separate task if you really need one...

I can file a separate task if you really need one...

No, I'll take care of it! My comment before was a drive-by when I didn't have the time to do it. :-)

(Also FWIW I think I understand that the issue was actually not in VE in the first place, but what matters is that we're aware of the issue.)

(Also FWIW I think I understand that the issue was actually not in VE in the first place, but what matters is that we're aware of the issue.)

Yes, based on the comments of Diwas on dewiki, that seems to be the case. I will merge the extra task I created into this one, and retitle it.

Deskana renamed this task from When trying to edit a redirect page, VE opens the target (destination) page instead to When trying to edit a redirect page, the 2017 wikitext editor opens the target (destination) page instead if the user has opted out of visual editor.Dec 21 2017, 10:52 AM
Tkarcher changed the task status from Stalled to Open.Feb 15 2018, 4:49 PM

@Deskana: Now that you can reproduce it, this issue should no longer be in status "stalled", should it?

This issue came up again today on the German-language Wikipedia's VE feedback page: Permalink.

Is there any hope that this will be fixed soon? What can we tell our community?

This issue came up again today on the German-language Wikipedia's VE feedback page: Permalink.

Is there any hope that this will be fixed soon? What can we tell our community?

This issue needs to be resolved at some point, but I don't have a timeline for when it will be worked on.

This issue needs to be resolved at some point, but I don't have a timeline for when it will be worked on.

Would it at least be possible to add a warning/notification until then? The VE does not have this issue, it is only the new Wikitext mode, which as far as I understand is built on the same foundation, so to me it seems strange that this is hard to fix.

This issue comes up regularly and sadly, but understandably drives editors away from the new Wikitext editor.

There is some bug in init code, where in this particular configuration (multi-tab mode, VE disabled, NWE enabled), we don't register a click event on the "Edit" tab, so it functions as just a regular link (reloading the page, instead of immediately opening NWE), and a regular link to ?veaction=edit functions incorrectly due to T181110.

The init code is gnarly because of how many different config options and preferences we have, so this would require a lot of care to avoid causing some new issue (e.g. accidentally enabling VE when it's supposed to be disabled). Luckily, T181110 is much more straightforward to fix, and that should remove most of the annoyance caused by this problem (the bug will be just that loading NWE will be slower than it's supposed to).

matmarex renamed this task from When trying to edit a redirect page, the 2017 wikitext editor opens the target (destination) page instead if the user has opted out of visual editor to When VE is disabled but NWE is enabled and wiki is in multi-tab mode, initialization code for the "Edit" tab doesn't run.Nov 2 2018, 10:57 AM
matmarex changed the point value for this task from 1 to 8.Nov 2 2018, 11:00 AM

Change 568150 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Fix tab initialization if NWE is enabled but VE is disabled

https://gerrit.wikimedia.org/r/568150

I was investigating another initialization bug (T243723) and accidentally discovered the fix for this in the process.

Change 568150 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix tab initialization if NWE is enabled but VE is disabled

https://gerrit.wikimedia.org/r/568150

Sorry, I forgot to move this.

QA steps:

  • Test on English Wikipedia
  • In your preferences, disable VisualEditor (Editing → Temporarily disable the visual editor while it is in beta), then enable new wikitext editor (Beta Features → New wikitext mode)
  • Go to any page and click "Edit"

Previously, clicking the "Edit" tab would refresh the whole page, then load the editor. Now, it should load the editor immediately.